using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WorkFlowCheck.DL.Configurations
{
    public class LocationTypeConfiguration : IEntityTypeConfiguration<Entities.Location>
    {
        public void Configure(EntityTypeBuilder<Entities.Location> builder)
        {
            builder.ToTable("Location");
            builder.HasKey(e => e.Id);
            builder.Property(e => e.Id).ValueGeneratedOnAdd();
        }

    }
}
